DPDK patches and discussions
 help / color / mirror / Atom feed
* [PATCH 1/2] mailmap: fix outdated entry for Zhirun
@ 2024-03-22 16:14 David Marchand
  2024-03-22 16:14 ` [PATCH 2/2] devtools: check that maintainers are listed in mailmap David Marchand
  2024-06-28 12:56 ` [PATCH v2] " David Marchand
  0 siblings, 2 replies; 3+ messages in thread
From: David Marchand @ 2024-03-22 16:14 UTC (permalink / raw)
  To: dev; +Cc: Thomas Monjalon, Zhirun Yan

Fixes: aafd14f43eea ("maintainers: update for graph library")

Signed-off-by: David Marchand <david.marchand@redhat.com>
---
 .mailmap | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/.mailmap b/.mailmap
index 50726e1232..83470af712 100644
--- a/.mailmap
+++ b/.mailmap
@@ -1683,7 +1683,7 @@ Zhihong Wang <wangzhihong.wzh@bytedance.com> <zhihong.wang@intel.com>
 Zhike Wang <wangzhike@jd.com> <wangzk320@163.com>
 Zhimin Huang <zhiminx.huang@intel.com>
 Zhipeng Lu <luzhipeng@cestc.cn>
-Zhirun Yan <zhirun.yan@intel.com>
+Zhirun Yan <yanzhirun_163@163.com> <zhirun.yan@intel.com>
 Zhiwei He <zhiwei.he@intel.com>
 Zhiyong Yang <zhiyong.yang@intel.com>
 Zhuobin Huang <zobin1999@gmail.com>
-- 
2.44.0


^ permalink raw reply	[flat|nested] 3+ messages in thread

* [PATCH 2/2] devtools: check that maintainers are listed in mailmap
  2024-03-22 16:14 [PATCH 1/2] mailmap: fix outdated entry for Zhirun David Marchand
@ 2024-03-22 16:14 ` David Marchand
  2024-06-28 12:56 ` [PATCH v2] " David Marchand
  1 sibling, 0 replies; 3+ messages in thread
From: David Marchand @ 2024-03-22 16:14 UTC (permalink / raw)
  To: dev; +Cc: Thomas Monjalon

When a maintainer changes its mail address, check that the associated
entry in .mailmap knows this address, otherwise there is a chance
.mailmap points at an obsolete address.

Signed-off-by: David Marchand <david.marchand@redhat.com>
---
 devtools/check-maintainers.sh | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/devtools/check-maintainers.sh b/devtools/check-maintainers.sh
index 71697bb352..8a786e14a9 100755
--- a/devtools/check-maintainers.sh
+++ b/devtools/check-maintainers.sh
@@ -85,6 +85,18 @@ check_fx () # <index file>
 	done
 }
 
+# Check that every maintainer mail is known of .mailmap:
+check_mailmap () # <index file> <mailmap file>
+{
+	sed -n -e 's/^M: \(.*<.*\)$/\1/p' $1 | sort -u | while read line; do
+		name=${line%% <*}
+		mail='<'${line##* <}
+		if ! grep -q "^$name <" $2 || ! grep -iq "^$name.*$mail" $2; then
+			echo $name mail address $mail is not in $2
+		fi
+	done
+}
+
 # Add a line to a set of lines if it begins with right pattern
 add_line_to_if () # <new line> <lines> <head pattern>
 {
@@ -129,4 +141,10 @@ echo '# wrong patterns'
 echo '##########'
 check_fx MAINTAINERS
 
+echo
+echo '##########'
+echo '# wrong mailmap'
+echo '##########'
+check_mailmap MAINTAINERS .mailmap
+
 # TODO: check overlaps
-- 
2.44.0


^ permalink raw reply	[flat|nested] 3+ messages in thread

* [PATCH v2] devtools: check that maintainers are listed in mailmap
  2024-03-22 16:14 [PATCH 1/2] mailmap: fix outdated entry for Zhirun David Marchand
  2024-03-22 16:14 ` [PATCH 2/2] devtools: check that maintainers are listed in mailmap David Marchand
@ 2024-06-28 12:56 ` David Marchand
  1 sibling, 0 replies; 3+ messages in thread
From: David Marchand @ 2024-06-28 12:56 UTC (permalink / raw)
  To: dev; +Cc: Thomas Monjalon

When a maintainer changes its mail address, check that the associated
entry in .mailmap knows this address, otherwise there is a chance
.mailmap points at an obsolete address.

While at it, fix Zhirun mail address in mailmap and add Jian and Srikanth.

Signed-off-by: David Marchand <david.marchand@redhat.com>
---
Changes since v1:
- merged patch 1,
- added Jian and Srikanth to .mailmap,

---
 .mailmap                      |  4 +++-
 devtools/check-maintainers.sh | 18 ++++++++++++++++++
 2 files changed, 21 insertions(+), 1 deletion(-)

diff --git a/.mailmap b/.mailmap
index f76037213d..31383bc782 100644
--- a/.mailmap
+++ b/.mailmap
@@ -645,6 +645,7 @@ Jesper Wramberg <jesper.wramberg@gmail.com>
 Jesse Brandeburg <jesse.brandeburg@intel.com>
 Jesse Bruni <jesse.bruni@intel.com>
 Jia He <justin.he@arm.com> <jia.he@hxt-semitech.com>
+Jian Wang <jianwang@trustnetic.com>
 Jianbo Liu <jianbo.liu@arm.com> <jianbo.liu@linaro.org>
 Jianfeng Tan <jianfeng.tan@intel.com>
 Jiang Yu <yux.jiang@intel.com>
@@ -1378,6 +1379,7 @@ Souvik Dey <sodey@rbbn.com> <sodey@sonusnet.com>
 Spike Du <spiked@nvidia.com>
 Sridhar Samudrala <sridhar.samudrala@intel.com>
 Sriharsha Basavapatna <sriharsha.basavapatna@broadcom.com>
+Srikanth Jampala <jsrikanth@marvell.com>
 Srikanth Yalavarthi <syalavarthi@marvell.com>
 Srinivas Narayan <srinivas.narayan@att.com>
 Srisivasubramanian Srinivasan <srinivasan@marvell.com> <ssrinivasan@caviumnetworks.com>
@@ -1711,7 +1713,7 @@ Zhihong Wang <wangzhihong.wzh@bytedance.com> <zhihong.wang@intel.com>
 Zhike Wang <wangzhike@jd.com> <wangzk320@163.com>
 Zhimin Huang <zhiminx.huang@intel.com>
 Zhipeng Lu <luzhipeng@cestc.cn>
-Zhirun Yan <zhirun.yan@intel.com>
+Zhirun Yan <yanzhirun_163@163.com> <zhirun.yan@intel.com>
 Zhiwei He <zhiwei.he@intel.com>
 Zhiyong Yang <zhiyong.yang@intel.com>
 Zhuobin Huang <zobin1999@gmail.com>
diff --git a/devtools/check-maintainers.sh b/devtools/check-maintainers.sh
index 71697bb352..8a786e14a9 100755
--- a/devtools/check-maintainers.sh
+++ b/devtools/check-maintainers.sh
@@ -85,6 +85,18 @@ check_fx () # <index file>
 	done
 }
 
+# Check that every maintainer mail is known of .mailmap:
+check_mailmap () # <index file> <mailmap file>
+{
+	sed -n -e 's/^M: \(.*<.*\)$/\1/p' $1 | sort -u | while read line; do
+		name=${line%% <*}
+		mail='<'${line##* <}
+		if ! grep -q "^$name <" $2 || ! grep -iq "^$name.*$mail" $2; then
+			echo $name mail address $mail is not in $2
+		fi
+	done
+}
+
 # Add a line to a set of lines if it begins with right pattern
 add_line_to_if () # <new line> <lines> <head pattern>
 {
@@ -129,4 +141,10 @@ echo '# wrong patterns'
 echo '##########'
 check_fx MAINTAINERS
 
+echo
+echo '##########'
+echo '# wrong mailmap'
+echo '##########'
+check_mailmap MAINTAINERS .mailmap
+
 # TODO: check overlaps
-- 
2.45.2


^ permalink raw reply	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2024-06-28 12:56 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2024-03-22 16:14 [PATCH 1/2] mailmap: fix outdated entry for Zhirun David Marchand
2024-03-22 16:14 ` [PATCH 2/2] devtools: check that maintainers are listed in mailmap David Marchand
2024-06-28 12:56 ` [PATCH v2] " David Marchand

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).